Python packaging policy?

Marco Atzeri marco.atzeri@gmail.com
Wed Jan 20 13:15:15 GMT 2021


On 20.01.2021 11:26, Hamish McIntyre-Bhatty via Cygwin wrote:
> On 20/01/2021 05:02, Marco Atzeri via Cygwin wrote:
>> On 20.01.2021 00:02, Oleksandr Gavenko via Cygwin wrote:

>>
>> About the "pip install" please use 3.8 as your base
>> and use "python3.8 -m pip .." to avoid misalignment
>> between python and pip
>>

> 
> Is python3-* still okay for source package names, eg python3-wx that I
> maintain?
> 
> Hamish
> 

I see no problem if you are just delivering only one python 3.X interface,
that usually is typical of providing a main program with a python
interface

your python3-wx, mine postgresql-plpython and the recent
python3-cv2 all fall in this case.

The scheme python 36 / 37 /38 is more for python purely packages

Regards
Marco




More information about the Cygwin mailing list